Share via


Maintenance Window Options - Get

Gets a list of available maintenance windows.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/databases/{databaseName}/maintenanceWindowOptions/current?api-version=2025-01-01&maintenanceWindowOptionsName={maintenanceWindowOptionsName}

URI Parameters

Name In Required Type Description
databaseName
path True

string

The name of the database.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

serverName
path True

string

The name of the server.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

maintenanceWindowOptionsName
query True

string

Maintenance window options name.

Responses

Name Type Description
200 OK

MaintenanceWindowOptions

Azure operation completed successfully.

Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Gets a list of available maintenance windows for a selected database.

Sample request

GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/databases/testdb/maintenanceWindowOptions/current?api-version=2025-01-01&maintenanceWindowOptionsName=current

Sample response

{
  "name": "current",
  "type": "Microsoft.Sql/servers/databases/maintenancewindows",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/servers/testsvr/databases/testdb/maintenancewindowoptions/current",
  "properties": {
    "allowMultipleMaintenanceWindowsPerCycle": true,
    "defaultDurationInMinutes": 120,
    "isEnabled": true,
    "maintenanceWindowCycles": [
      {
        "dayOfWeek": "Saturday",
        "duration": "PT60M",
        "startTime": "00:00:00"
      }
    ],
    "minCycles": 2,
    "minDurationInMinutes": 60,
    "timeGranularityInMinutes": 5
  }
}

Definitions

Name Description
createdByType

The type of identity that created the resource.

DayOfWeek

Day of maintenance window.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

MaintenanceWindowOptions

Maintenance window options.

MaintenanceWindowTimeRange

Maintenance window time range.

systemData

Metadata pertaining to creation and last modification of the resource.

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

DayOfWeek

Day of maintenance window.

Value Description
Sunday

Sunday

Monday

Monday

Tuesday

Tuesday

Wednesday

Wednesday

Thursday

Thursday

Friday

Friday

Saturday

Saturday

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

MaintenanceWindowOptions

Maintenance window options.

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

The name of the resource

properties.allowMultipleMaintenanceWindowsPerCycle

boolean

Whether we allow multiple maintenance windows per cycle.

properties.defaultDurationInMinutes

integer (int32)

Default duration for maintenance window.

properties.isEnabled

boolean

Whether maintenance windows are enabled for the database.

properties.maintenanceWindowCycles

MaintenanceWindowTimeRange[]

Available maintenance cycles e.g. {Saturday, 0, 4860}, {Wednesday, 0, 2460}.

properties.minCycles

integer (int32)

Minimum number of maintenance windows cycles to be set on the database.

properties.minDurationInMinutes

integer (int32)

Minimum duration of maintenance window.

properties.timeGranularityInMinutes

integer (int32)

Time granularity in minutes for maintenance windows.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

MaintenanceWindowTimeRange

Maintenance window time range.

Name Type Description
dayOfWeek

DayOfWeek

Day of maintenance window.

duration

string

Duration of maintenance window in minutes.

startTime

string

Start time minutes offset from 12am.

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.